OpenJPEG 2.1.2

Data Fields
dwt_local Struct Reference
DWT - Implementation of a discrete wavelet transform

## Data Fields
OPJ_INT32 * | mem
OPJ_INT32 | dn
OPJ_INT32 | sn
OPJ_INT32 | cas

## Field Documentation

## § cas

OPJ_INT32 dwt_local::cas

Referenced by opj_dwt_decode_1(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_interleave_h(), and opj_dwt_interleave_v().

## § dn

OPJ_INT32 dwt_local::dn

Referenced by opj_dwt_decode_1(), opj_dwt_decode_1_(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_dwt_encode_1_real(), opj_dwt_encode_procedure(), opj_dwt_interleave_h(), and opj_dwt_interleave_v().

## § mem

OPJ_INT32* dwt_local::mem

Referenced by opj_dwt_decode_1(), opj_dwt_decode_tile(), opj_dwt_interleave_h(), and opj_dwt_interleave_v().

## § sn

OPJ_INT32 dwt_local::sn

Referenced by opj_dwt_decode_1(), opj_dwt_decode_1_(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_dwt_encode_1_real(), opj_dwt_encode_procedure(), opj_dwt_interleave_h(), and opj_dwt_interleave_v().

The documentation for this struct was generated from the following file:

- dwt.c